---
environments:
{{ readFile (print (env "PWD") "/bases/__base.yaml") | nindent 2 }}
  pre:
    values:
      - !!merge <<: *regional_cluster_defaults
      - &pre_values
        artifacts_cdn_domain: cdn.artifacts.pre.gitlab-static.net
        env_prefix: pre
        cluster: pre-gitlab-gke
        flagger-canaries: {}
        gitlab:
          gitlab-shell:
            enabled: true
          webservice:
            enabled: true
          # Gitaly in deployed as a single chart in `pre`
          gitaly:
            enabled: false
        gitlab_domain: "pre.gitlab.com"
        gitlab_endpoint: "https://pre.gitlab.com"
        gitlab_extras:
          api_no_proxy: true
          flagger_canaries: false
          ingress_readiness: true
        google_project: "gitlab-pre"
        nginx-ingress:
          enabled: true
        region: us-east1
        registry:
          enabled: true
        registry_api_host: "registry.pre.gitlab.com"
        registry_bucket_name: "gitlab-pre-registry"
        registry_deployment_for_image_tag: "gitlab-registry"
        registry_path: "us-east1-docker.pkg.dev/gitlab-com-artifact-registry/images"
        registry_version: v4.17.0-gitlab
      - &pre_primary_db_values
        primary_db:
          # Current configuration: https://gitlab.com/gitlab-com/gl-infra/chef-repo/-/blob/d7dd66c956a08f5026b08c4f4d8a425b0e3faf56/roles/pre-base.json#L175
          main:
            host: 10.33.0.48
            port: 5432
          ci: {}
      # Migrations will run inside the Preprod GKE cluster
      - gitlab_migrations:
          enabled: true
